Subject: Re: [PATCH] socket: SOCK_DEBUG type checking

From: Stephen Hemminger <[email-masked]>
Date: Fri, 21 Mar 2008 17:17:31 -0700

On Fri, 21 Mar 2008 15:56:00 -0700 (PDT)
David Miller <[email-masked]> wrote:

> From: Stephen Hemminger <[email-masked]>
> Date: Fri, 21 Mar 2008 07:51:32 -0700
> 
> > Use the inline trick (same as pr_debug) to get checking
> > of debug statements even if no code is generated.
> > 
> > Signed-off-by: Stephen Hemminger <[email-masked]>
> 
> Applied, and I'll push to net-2.6.26 after some build
> testing.
> 
> Although the use of SOCK_DEBUG is so esoteric and sparse,
> I can't see how any of it can be useful for any kind of
> debugging.
> 
> I'd say we should just remove this thing.

Agreed, that was the other alternative, just saw it while
looking at filter stuff.